﻿# You can place the script of your game in this file.

init:
    
    $ menu = nvl_menu

    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    
    image warlock = "wizard.png"
    image BG1 = "BG_Ch1.jpg"
    image BG2 = "BG_Ch2.jpg"
    image BG3 = "BG_Ch3.jpg"
    image BG4 = "BG_Ch4.jpg"
    image blank = "blank.jpg"

    # Declare characters used by this game.
    $ n = NVLCharacter(None, kind=nvl)
    $ p = DynamicCharacter("p", color=(255, 255, 0, 255))


# The game starts here.
label start:
    
    play music "heart.wav"
    
    n "..."
    
    n "......"
    
    n "........."
    
    n "............ Blood..."
    
    nvl clear
    
    n "Blood... There was so much..."
    
    n "How could there be so much of it...? I didn't know that human bodies had so much blood in them..."
    
    n "My heart beats inside my chest... It's the only sound I can hear in the night. The strained muscle tries its best to pump the life-giving blood throughout my tired body. I can only hope that it doesn't end up painting the streets like those others..."
    
    n "As I'm catching my breath, I hear a noise behind me. Whipping a device out of my pocket, I spin and point it at the figure standing there."
    
    n "'Stop!', I scream at the thing cloaked in darkness..."
    
    n "It stands perfectly still, as if assessing me. And then, it slowly steps forward."
    
    nvl clear
    
    n "'Put that thing down.'"
    
    stop music fadeout 5.0
    
    n "My heartbeat slows as the woman comes into my field of vision."
    
    n "'Lieutenant...'"
    
    n "I'm glad to finally see a friendly face, or at least one that's still alive..."
    
    n "'Ah...'"
    
    n "She stares at the insignia on my uniform."
    
    n "'Private...?'"
    
    n "It's not surprising that she doesn't know my name; I've only just joined after all."
    
    nvl clear
    
    $ p = renpy.input("'My name is...'", "", length=30)
    
    nvl clear
    
    n "She looks surprised upon hearing my name."
    
    n "'%(p)s? Aren't you...?'"

    n "I nod."
    
    n "'Yeah... That's me...'"
    
    n "She smiles. It's full of warmth and definitely doesn't suit her bloodstained appearance."
    
    n "'Well, Private %(p)s, I'm glad you made it. We wouldn't want to lose a treasure like you, would we?'"
    
    n "I sigh. Being called a 'treasure' just doesn't sit right with me... After all, the only thing special about me is how completely unremarkable I am..."
    
    nvl clear
    
    n "Her countenance returns to normal; that of a killer."
    
    n "'The rest of the squad?'"
    
    n "'Dead...', I reply."
    
    n "'I see...'"
    
    n "She shakes her head."
    
    n "'Well, there's no helping it now. We'll have to go on by ourselves.'"
    
    n "I'm shocked, I simply stare at her with my mouth agape."
    
    nvl clear
    
    n "'Just the two of us...? Shouldn't we wait for reinforcements?'"
    
    n "She laughs, but this time there's no warmth or humour in her voice."
    
    n "'You really are green, aren't you? There are no 'reinforcements' in this line of work, I'm afraid.'"
    
    n "Then, with a speed that shouldn't be possible due to the huge object strapped to her back, she turns and sprints away."
    
    n "'Come on!'"
    
    n "Reluctantly, I follow her. There's nothing else I can do..."
    
    nvl clear
    
    n "As we dash through the alleys, I ask her questions."
    
    n "'Who is this guy? Those things took out the rest of the squad so easily...'"
    
    n "Without turning her head, she replies."
    
    n "'I don't know, but he must be immensely powerful... To control such a large amount of advanced familiars... It's almost unthinkable.'"
    
    n "That doesn't boost my confidence any..."
    
    nvl clear
    
    n "'Are you sure I wouldn't be a burden...?'"
    
    n "'Not at all!'"
    
    n "The confidence in her voice as she says this confuses me."
    
    n "'In fact, I probably wouldn't be able to do this without you.'"
    
    n "As those words leave her mouth, we arrive at our destination."
    
    nvl clear
    
    scene BG1 with dissolve
    
    play music "lurking.ogg"
    
    n "The old cathedral..."
    
    n "'Why would someone like him choose a place of God as his base?'"
    
    n "Confused, I ask the Lieutenant this."
    
    n "'No, that may be exactly why he has...'"
    
    n "She doesn't offer any explanation for her words."
    
    n "Turning away from her for a moment, I look up at the huge structure."
    
    n "It's a little run-down in places, part of the wall is missing. Even so, it's still a sight to behold..."
    
    n "'We're going in...'"
    
    nvl clear
    
    n "The Lieutenant doesn't have time to admire the architecture, though. She heads straight for the large double doors of the cathedral, determination radiating from her like an aura."
    
    n "'Right!'"
    
    n "I'm not about to be left behind... Not with those 'things' out there..."
    
    n "Gingerly, we push the doors open."
    
    play sound "creak.wav"
    
    n "There's an ominous creak as they slowly swing aside..."
    
    n "'Are you sure this is a good idea...?'"
    
    n "I can't help but ask..."
    
    n "'Come on, you're a man, aren't you?', the Lieutenant scolds me."
    
    n "Chastened, I follow her inside."
    
    nvl clear
    
    scene BG2 with dissolve
    
    n "We haven't taken more than ten steps inside, when..."
    
    play sound "thud.wav"
    
    n "The doors close by themselves behind us with a resounding thud."
    
    n "'Heh... Looks like we're not leaving...'"
    
    n "The Lieutenant sounds strangely calm. I, on the other hand, am panicking."
    
    n "'What are we going to do?'"
    
    n "'Get a hold of yourself, Private!', the Lieutenant sounds angry."
    
    n "I calm myself down as best I can."
    
    n "'Do we have enough tools...?', I ask her even though I already know the answer."
    
    n "'Of course not...', the Lieutenant doesn't mince words..."
    
    nvl clear
    
    n "'Then...', I'm about to ask if we're doomed, but the Lieutenant motions for me to be quiet."
    
    n "'There are some familiars wandering around up ahead...', she whispers quietly to me."
    
    n "I'm impressed, I can't hear or sense anything at all... The Lieutenant keeps her cool so easily." 
    
    n "As I watch her crouching behind a pillar in her bloodstained robes I come to a realization. Unlike the military, you can't rise in rank with words and bribes alone in this organization..."
    
    n "No... You need to have proven yourself. You need to have survived countless life-or-death battles."
    
    n "I'm really not cut out for this at all..."
    
    nvl clear
    
    n "'Are you ready?'"
    
    n "The Lieutenant's voice snaps me out of my musings."
    
    n "'Ready?'"
    
    n "'Yes, we're going to have to make a run for it.'"
    
    n "She says this in a matter-of-fact tone of voice. As if it were common sense."
    
    n "'But we don't have enough tools!'"
    
    n "'Shhh!', the Lieutenant angrily quiets me."
    
    n "'Sorry... But we can't fight them like this...'"
    
    n "'I didn't say we were going to fight them. You need to listen to your superior more closely, Private %(p)s.'"
    
    nvl clear
    
    n "'You think we can outrun them...?', I ask in disbelief."
    
    n "I've seen those things move... They chased down the other squad members and killed them like dogs... Which is quite ironic, when I think about it."
    
    n "'That's why we're going to split up.', the Lieutenant explains patiently, 'I'll go right, you go left.'"
    
    n "'But then one of us will...'"
    
    n "Get eaten alive... Surely..."
    
    n "'Don't worry, I'll draw them to myself. I've got a much better chance of surviving than a greenhorn like you.'"
    
    n "The Lieutenant gives me another of those smiles that clash so terribly with the spattered gore adorning her clothes and face."
    
    nvl clear
    
    n "'Alright...'"
    
    n "There's nothing I can do but agree..."
    
    stop music fadeout 2.0
    
    n "'Then, on the count of three...', the Lieutenant's voice is so quiet, I can barely hear it."
    
    n "'One...'"
    
    n "I brace myself, ready to sprint for all I'm worth."
    
    n "'Two...'"
    
    n "If I make a mistake here, then it'll surely mean my life..."
    
    nvl clear
    
    n "'THREE!'"
    
    play music "Danger.ogg"
    
    n "The Lieutenant screams the last word and dashes from her hiding place."
    
    n "I can already tell that the familiars ahead have heard her and are already starting their pursuit."
    
    n "Quickly, I..."
    
    menu:
        
        "Head right!":
            jump Death1
                
        "Head left!":
            jump Intro2
            
label Death1:
    
    n "Leaping from behind the pillar, I sprint right with all my strength."
    
    n "But..."
    
    n "'What are you doing?!'"
    
    n "The Lieutenant screams at me, I notice that she's beside me."
    
    n "Oh, shit... I went the wrong way..."
    
    nvl clear
    
    n "The familiars don't miss the chance for a double meal, they charge the two of us mercilessly."
    
    n "Their eyes glow a sinister red in the dark as they dart towards us with beast-like movements."
    
    n "There's no way we can outrun them..."
    
    n "The Lieutenant manages to draw them towards her, however, and escapes."
    
    n "I don't stop running, though. There's no way I'm going to stop until I'm sure that I'm safe..."
    
    nvl clear
    
    stop music fadeout 2.0
    
    n "After a few minutes of all-out sprinting, my body is screaming at me to halt. I obey it's commands feebly and collapse with my back to the wall."
    
    n "Panting heavily, I wonder whether the Lieutenant escaped..."
    
    n "Surely she must have... I can't imagine her being taken down. If she has then I'm as good as dead..."
    
    n "And then... I heard it."
    
    play music "heart.wav"
    
    n "The sinister growl..."
    
    n "From right next to me..."
    
    nvl clear
    
    n "I don't even have time to scream as the dog-like familiar lunges from the shadows. It's powerful jaws close around my throat like a vice."
    
    play sound "squeeze.wav"
    
    n "The flesh of my neck is easily torn by the beast. I already know that I'm dead..."
    
    n "I just wish..."
    
    play sound "splat.wav"
    
    n "I... I wish..."
    
    nvl clear
    
    n "If it could just kill me quicker... And end this suffering..."
    
    n "After an agonizing few minutes of being devoured alive, the darkness finally takes me..."
    
    n "And I embrace it's sweet relief with open arms..."
    
    nvl clear
    
    "BAD END: Eaten Alive"
    
    return

label Intro2:
    
    n "Making a mad dash to the left, I leave the sounds of angry beasts behind me."
    
    n "It doesn't sound like any of them are pursuing me; but then I've seen how stealthily these things can move first hand..."
    
    show blank with dissolve
    
    n "So I don't stop running, even when I think it's safe. With nothing but my own well-being in mind, I run and run and run..."
    
    nvl clear
    
    stop music fadeout 2.0
    
    n "Eventually, my body forces me to stop exerting it. I collapse on the ground with my back to a wall."
    
    n "Panting heavily, I still listen for any signs of familiars..."
    
    n "But it looks like I'm in the clear... Thank God..."
    
    n "So I'm safe... Now I've just got to hope that the Lieutenant is as well..."
    
    n "Because, to be perfectly honest... If she dies then I may as well be dead too..."
    
    n "I can't imagine the Lieutenant dying just like that, though. I mean, she's survived this long, hasn't she?"
    
    nvl clear
    
    n "Still breathing heavily, I pick myself up off the ground. Staying in one place is foolish, I need to find the Lieutenant."
    
    n "Looking around, I check my surroundings for the first time since collapsing here."
    
    nvl clear
    
    scene BG3 with dissolve
    
    play music "Lurking.ogg"
    
    n "I'm not sure where I am... There are carvings of religious scenes on the walls, and an elaborate chandelier hangs above."
    
    n "In any case, this doesn't seem like an important place. There aren't any familiars around..."
    
    n "Even I know that no familiars means that their master must be far away from this place."
    
    n "If familiars stray too far from their master then their blood contract is weakened. That can only spell disaster for a familiar..."
    
    n "As I mull this over, I'm reminded of why I'm in this situation in the first place."
    
    nvl clear
    
    n "It wasn't all that long ago... Just two short weeks. I had enlisted in the army, as all young men in Sonette do sooner or later."
    
    n "All of the new recruits had to take a mandatory blood test... I forget the reason now, to ensure we were healthy or some crap like that."
    
    n "Back then I didn't think too much about it... But it was a lie. They were testing for possible candidates..."
    
    n "And I just happened to be the perfect match."
    
    n "Nobody else in the entire county was like me, they said."
    
    n "But I couldn't be happy about such a thing..."
    
    nvl clear
    
    n "Who would be?"
    
    n "There's nothing 'special' about it at all... At least not in the positive sense..."
    
    n "Why would I be born with a body like this? Perhaps it's God's way of telling me something?"
    
    n "Doesn't He despise those who use it? Isn't that why we exist?"
    
    n "So... Am I being told that this was my destiny?"
    
    n "I can't deny it... I have the perfect body for this job..."
    
    n "I just... Don't have a strong enough will to carry on..."
    
    nvl clear
    
    n "The Lieutenant for example... I could never be like her."
    
    n "Covered in sinful blood, yet still giving a pure smile..."
    
    n "I've never even killed with these hands... Not even a sinner..."
    
    n "So why was I given this body?"
    
    nvl clear
    
    n "'Hey! There you are!', a relieved voice calls out to me."
    
    n "'Lieutenant?'"
    
    n "'Yes, I'm glad that you're safe, Private %(p)s.'"
    
    n "She looks even more drenched in blood than before..."
    
    n "'Did you...?'"
    
    n "She nods, a cold gleam in her eye."
    
    n "'Yes, I managed to defeat them. But I'm running low on tools...'"
    
    n "'That's great, I knew you could do it Lieutenant!'"
    
    nvl clear
    
    n "'Yes, but those were nothing compared to their master.'"
    
    n "I'm surprised, has she seen him already?"
    
    n "The Lieutenant seems to realise what I'm thinking, and replies."
    
    n "'No, I've not seen him yet. However, I do know where he is.'"
    
    n "A tone of deadly seriousness enters her voice."
    
    n "'And I have a good idea of what he's trying to do...'"
    
    n "With that, she approaches the carvings on the wall."
    
    nvl clear
    
    n "I watch silently as she pushes them and they recede into the wall with a slight click."
    
    n "'He's here?!', I can't help the surprise in my voice."
    
    n "'Indeed, I realised his strategy.'"
    
    n "She continues to push the carvings as she talks."
    
    n "'He sent those familiars out of their usual range, to lure us away from his actual location.'"
    
    n "'And they were still that powerful?!'"
    
    n "'Yes, they were very formidable indeed. I'm not sure I'd have been able to handle them if they had the full power of their blood contract.'"
    
    n "With a final click, she stops pushing the carvings."
    
    nvl clear
    
    n "'So I guess it worked against him in the end.', she says with a smile."
    
    play sound "creak.wav"
    show blank with dissolve
    
    n "The wall with the carvings swings open."
    
    n "'How did you know the right order?', I ask, referring to the carvings."
    
    n "'I'm starting to understand how his mind works...', replies the Lieutenant as she stares into the opening that has been revealed, 'Those carvings depict the stages of God's creation of the world.'"
    
    n "Taking a step inside, she motions for me to follow."
    
    n "'I just pressed them in the reverse order.'"
    
    n "Reverse order...? Just what kind of person are we dealing with?"
    
    nvl clear
    
    n "Following the Lieutenant, I descend into the depths of the cathedral with her."
    
    stop music fadeout 3.0
    
    n "We're walking down the staircase for a long time... The stone steps are old and starting to crumble. Our feet are slow and careful, falling at this point would be idiocy of the highest order."
    
    n "Eventually, a light shines ahead."
    
    n "'So, we've finally arrived...', the Lieutenant mutters to herself as we approach it."
    
    n "The light is pouring through a crack in an old door. It's surprising how bright it is from such a small opening..."
    
    nvl clear
    
    n "'I can feel him... He really is powerful...', the Lieutenant tells me. Perhaps she's being sensitive to my condition, or maybe she's just overwhelmed by his strength."
    
    n "'Alright, I'm going to open the door... Get your tools ready.'"
    
    n "She doesn't need to tell me that, I've had them gripped in my pockets all the way down those stairs."
    
    n "'I'm ready...'"
    
    nvl clear
    
    n "As soon as those words leave my mouth, she throws the door open."
    
    play sound "thud.wav"
    
    n "With a loud, dull noise, it slams against the wall."
    
    scene BG4 with dissolve
    
    n "This is..."
    
    n "'An underground shrine...', murmurs the Lieutenant."
    
    n "And there, standing behind the altar..."
    
    n "'So you're the one behind all this...', fearlessly, the Lieutenant approaches him."
    
    n "Equally as brave, he steps forward into the light."
    
    nvl clear
    
    show warlock with dissolve
    play music "Lurking.ogg"
    
    n "'Congratulations, truly... You got here far quicker than I expected. In fact, I find myself ill-prepared, you must forgive me.'"
    
    n "He speaks in a polite tone of voice and seems quite unconcerned, despite his words."
    
    n "'But then again, I wouldn't expect anything less from you, 'Lieutenant'.'"
    
    n "I notice that the Lieutenant is being quiet... Wait a second, how does this warlock know her rank?"
    
    n "'So that's it... It was you all along...'"
    
    n "The Lieutenant speaks in an emotionless voice."
    
    nvl clear
    
    n "'Then you remember me? I am honoured...', the warlock's words do not sound like a lie."
    
    n "'What are you trying to do? And how do you know the Lieutenant?', I feel that it's my turn to speak up."
    
    n "'Hmm...?', the warlock appears to be peering at my insignia, 'Oh, a new recruit? And he made it this far?'"
    
    n "'Don't ignore me, damn you...!', I reach for one of my tools."
    
    n "'Just a moment.'"
    
    n "But the Lieutenant stops me."
    
    nvl clear
    
    n "'Before we begin, I'd like to know... Why? What made you turn into the very thing we fight against?'"
    
    n "There is no emotion in her voice at all, it's as if she doesn't even care what the answer is going to be."
    
    n "And perhaps that's true..."
    
    n "'Why...?'"
    
    n "The warlocks voice loses some of it's composure."
    
    n "'Why, you ask? Is it not obvious?', he shakes his head in disbelief, 'This corrupt society we live in...'"
    
    nvl clear
    
    n "He points a robed finger at the Lieutenant."
    
    n "'Surely you, too, have realised? All of the people living in this world have become enthralled, no, enslaved!'"
    
    n "'Then it's as I thought... This is all about God, isn't it?', the Lieutenant asks."
    
    n "'So you do understand? How God is not a God at all! He is merely a puppet on a string, dancing to entertain the children. To entertain the common people of our world!'"
    
    n "A hint of madness is entering his fevered voice now. This man has clearly gone insane a long time ago..."
    
    n "'And who are the puppeteers, you ask? Why, those in power, of course! The wealthy, the Counts, the King himself! Without God, their power would crumble!'"
    
    nvl clear
    
    n "He seems to realise how agitated he's getting and takes a moment to compose himself."
    
    n "'And so,', he continues with his former tone, 'I decided to show this world a true God. Not a puppet, not even a puppeteer, but the one who stands above them all.'"
    
    n "He raises his hands into the air."
    
    n "'The one who has the power to not only control, but destroy! And if there ever was a world that desperately craved destruction, then surely this would be the one!'"
    
    n "After his rant, the Lieutenant merely sighs."
    
    n "'So you are going to use that forbidden spell?'"
    
    n "'You know of it?', this time the warlock sounds surprised."
    
    nvl clear
    
    n "'I have heard of it, yes.'"
    
    stop music fadeout 1.5
    
    n "The Lieutenant turns to me."
    
    n "'Are you ready, Private %(p)s?'"
    
    n "Pulling the object from my pocket, I simply nod."
    
    play music "danger.ogg"
    
    n "'You're too late... The summoning is almost complete. Nothing can stop it now, not even my death.', the warlock tells us, as a teacher would tell a student."
    
    n "'It doesn't matter, one such as you, a sinner that has turned from the light, must be destroyed regardless.', the Lieutenant says as she takes an object from her own pocket."
    
    n "'Then, let us begin! A final dance, to celebrate the return of our new God!'"
    
    nvl clear
    
    n "Whisking his hands through the air, fire materializes at the warlock's fingertips."
    
    n "'%(p)s! Duck!'"
    
    n "I bob my head as bolts of flame pass over it. Gripping the tool tightly, I rise and throw it with all my might."
    
    n "The device activates in mid-air, the seals dropping from it as blades emerge from it's sides. Now a spinning disc, engraved with the anti-magic runes, the very words of God, it speeds towards the warlock."
    
    n "'Pathetic...', with a pitiful glance from the warlock, it explodes mid-air."
    
    n "'What...?', how is that possible? Magic shouldn't work on the tools! That's their very purpose!"
    
    nvl clear
    
    n "'Then try this!', ducking out from behind a pillar, the Lieutenant holds a small object in her hand."
    
    n "From it lances a beam of golden light. It's speed is almost instantaneous and it pierces the warlock's chest."
    
    n "'Aghh!'"
    
    hide warlock with dissolve
    
    n "Clutching the wound, he ducks behind the altar."
    
    nvl clear
    
    n "Reaching into my pocket, I clasp another device in my hand. This one has to work!"
    
    n "Pulling the seal out, a safety measure, I toss the object over the altar."
    
    n "Within moments, a blast of golden light is emitted alongside a cry of pain."
    
    n "'Good job, %(p)s!', the Lieutenant quickly dashes over to the altar, a knife in her hand."
    
    show warlock with dissolve
    
    n "'No! I shall not fall!'"
    
    n "The warlock rises again, a huge ball of furious fire clutched between his two hands."
    
    n "'Lieutenant!'"
    
    nvl clear
    
    n "But I'm too late! The warlock pushes the ball straight into the Lieutenants stomach, shattering the knife and sending her flying across the room."
    
    n "'Lieutenant!', I cry her name again as I rush to her side."
    
    n "'Damn! I was careless...', she rises to her feet. I'm surprised she can still stand after that attack."
    
    n "'Why do you struggle, so? If you do not die by my hand, then the new God will simply be your executioner instead.'"
    
    n "He conjures more bolts of flame at his fingertips as he speaks."
    
    n "'The death I bring will hurt for but a moment... The death that our new God will bring, however, shall sear your soul for eternity!'"
    
    nvl clear
    
    n "He flings the small fireballs at us, they move erratically across the large room."
    
    n "'Damn it!', they're impossible to dodge!"
    
    n "I pull a small disc from my pocket, tearing off the seal as I do so."
    
    n "In a matter of moments it expands to many times it's usual size, forming a large shield that weighs as much as a feather."
    
    hide warlock with dissolve
    
    n "Ducking behind it, the Lieutenant and I plan out next move."
    
    n "'What tools do you have left?', she asks me. It's amazing how calm she can sound even in a situation like this..."
    
    nvl clear
    
    n "Quickly checking my pockets, I answer."
    
    n "'A Type-3, two Type-7s, a Type-11 and a Type-21.'"    
    
    n "She nods."
    
    n "'Give me a Type-7, save the Type-21!'"
    
    n "I hand her the small golden knife, a duplicate of the one she lost in the last attack."
    
    n "'Okay, the Type-5 won't last much longer...'"
    
    n "She's right, I can feel the heat of the flames even through it..."
    
    n "'Create a diversion! I'll get him with the Type-7!'"
    
    n "I nod, then get ready to dive from the Type-5."
    
    nvl clear
    
    n "'Now!'"
    
    show warlock with dissolve
    
    n "At her prompt, I leap forward. The flames instantly begin to seek me, flying closely behind."
    
    n "Reaching into my pocket, I take out another tool..."
    
    menu:
        
        "The explosive, Type-3!":
            jump type3
                
        "The longsword, Type-11!":
            jump type11
    
        "The projectile, Type-21!":
            jump type21
            
label type3:
    
    n "Pulling the ball out, I tear the seal off with my teeth."
    
    n "'Eat this!'"
    
    n "Making a daring leap, I twist mid-air and throw the Type-3 at the warlock!"
    
    nvl clear
    
    n "'Gah!'"
    
    hide warlock with dissolve
    
    n "Making a daring leap of his own, the warlock dives for cover."
    
    n "The instant his concentration is broken, the flames that had been chasing me so eagerly until now dissipate into nothingness."
    
    n "Unfortunately, the Type-3 explodes meaninglessly, the warlock having leapt out of harm's way."
    
    n "But that doesn't mean he's saved... It did it's job well."
    
    n "The Lieutenant suddenly appears standing over him, brandishing the Type-7."
    
    nvl clear
    play sound "splat.wav"
    
    n "'AAAAAAAggghh!'"
    
    stop music fadeout 3.0
    
    n "The warlock's scream of agony echoes around the shrine, ringing in my ears."
    
    n "Leaving the Type-7 stuck in the warlock's back, the Lieutenant quickly backs away."
    
    n "An instant later, the knife bursts into golden flames, consuming the warlock."
    
    n "'GAAAAAH!'"
    
    n "His cries are terrible to behold as he lays, paralyzed and burning, face down on the cold floor."
    
    n "Within a minute or two, he falls silent."
    
    nvl clear
    
    jump warlockdeath
    
label type11:
    
    n "What my hand emerges with, is a decorative tube. I swiftly rip the seal from it with my free hand."
    
    nvl clear
    
    n "Suddenly, a thick blade sprouts from one end of the tube, growing to many times my width and almost the same height."
    
    n "Despite this, it weighs no more than a stalk of grass and I swing it around easily."
    
    n "Using it's wide blade, I block the barrage of small fireballs. They harmlessly disperse over it's surface."
    
    n "'A Type-11? I see, then why don't you try deflecting this?'"
    
    n "So saying, the warlock once more conjures the large ball of flame that he struck the Lieutenant with. Wielding it as easily as I'm wielding the Type-11, he charges with it held in front of him, like a battering ram."
    
    nvl clear
    
    n "But I'm not about to back down... Swinging the broadsword with all of my might, I attempt to cleave not only the fireball in half, but the warlock as well."
    
    n "As our weapons clash, tendrils of magical energy fly in all directions. We struggle in a deadlock, him forcing his ball of flame forwards and me driving my sword through it."
    
    nvl clear
    
    play sound "splat.wav"
    
    n "But then, the warlock goes tense. The fireball disappears and he lets out a scream of agony."
    
    n "'GAAAAHH!'"
    
    stop music fadeout 3.0
    
    n "The Lieutenant stands behind him, having slipped the Type-7 between his ribs while he was busy with me."
    
    n "Leaving the blade lodged in his back, the Lieutenant quickly backs away and I do likewise."
    
    hide warlock with dissolve
    
    n "As he falls to the ground, the Type-7 bursts into a golden flame, enveloping the warlock's body."
    
    n "'AAARRRGGGH!'"
    
    n "His screams grow fainter and fainter as the gold fire consumes him."
    
    nvl clear
    
    jump warlockdeath
    
label type21:
    
    n "Though something at the back of my mind is bothering me, I take hold of the Type-21 and pull it out."
    
    n "It's the same weapon that the Lieutenant used earlier to wound the warlock. Perhaps I'll have the same luck with it."
    
    nvl clear
    
    n "Keeping just ahead of the tiny legion of fireballs chasing me, I aim the Type-21 as best I can towards the warlock."
    
    n "Unfortunately, he notices it in my hand just as I think I've got a clear shot. The spear of golden light burns his clothing as he dodges out of the way."
    
    n "'Damn!'"
    
    n "I curse to myself, but at least I broke his concentration. The fireballs fade away in the air, leaving me safe for now."
    
    n "Tossing the now-useless Type-21 to the ground, I charge the warlock before he has a chance to recover."
    
    nvl clear
    
    n "His back is to me and I take hold of my last Type-7, ready to plunge it into his defenceless spine."
    
    n "But that was a mistake..."
    
    nvl clear
    
    n "He suddenly turns, and I can see the blazing mass of flame in his hands. It's the same magic that he used against the Lieutenant!"
    
    stop music fadeout 3.0
    
    n "I can't stop my momentum, he swings the huge fireball right into my body and I charge straight into it."
    
    hide warlock with dissolve
    play sound "splat.wav"
    
    n "The force of the blast is enough to sever my torso completely. I have the sensation of flying through the air as the top half of my body hurtles across the room."
    
    n "When my head strikes the wall I lose consciousness..."
    
    n "And, perhaps thankfully, I never regain it again..."
    
    nvl clear
    
    "BAD END: Torn in Two"
    
    return
    
label warlockdeath:
    
    n "The Lieutenant and I stare at the burnt remains of the warlock in silence."
    
    n "'You did very well, Private %(p)s. To defeat a warlock of this calibre, I think you'll be getting a promotion when we return to headquarters.'"
    
    n "She gives me encouragement with her ill-fitting smile. But I'm still worried..."
    
    n "'He said that this new God would arrive even if we killed him...'"
    
    n "'That may be so... But it is no longer in our hands. We should leave such a thing up to people more qualified than ourselves.'"
    
    n "'Yeah, I won't disagree with that...'"
    
    n "Who'd want to fight a God?"
    
    nvl clear
    
    n "And just as I have that thought..."
    
    n "'Ahh!'"
    
    n "The Lieutenant drops to her knees, her hands clutching her head."
    
    n "'This power...!'"
    
    n "'What's wrong?'"
    
    n "But I think even as I'm asking it, I know what it is..."
    
    n "'Already... It's coming already!'"
    
    play music "heart.wav"
    
    n "We were too naive..."
    
    nvl clear
    
    n "We thought that it wouldn't arrive for some time..."
    
    n "It looks like we were wrong..."
    
    n "'Here it comes!'"
    
    n "As the Lieutenant screams, the entire room appears to warp."
    
    scene blank with dissolve
    
    n "'What happened...?'"
    
    n "I can only mutter to myself in amazement as I stare at our surroundings..."
    
    n "Or at least, I try to stare... The only thing that surrounds us is nothingness. Not even darkness, just empty space..."
    
    nvl clear
    
    n "'We have to face it...', ignoring her pain, the Lieutenant gets to her feet, 'We have to fight... A God...'"
    
    n "'That's impossible!', it should go without saying, how can humans stand up to a God?!"
    
    n "'You're right... A God cannot be destroyed... It cannot even be harmed...'"
    
    n "I'm momentarily taken aback by the Lieutenant's words. It sounds like she's given up, and that's so unlike her that it jars my sense of reality."
    
    n "'But there is a way... We can stop it before it causes any damage...'"
    
    n "The Lieutenant unties the straps holding the huge object on her back."
    
    nvl clear
    
    n "'What is that?', I've always wondered but never dared to ask, until now."
    
    stop music fadeout 3.0
    
    n "'No time... It's here!'"
    
    n "Slowly... I turn."
    
    n "And before me... Is nothingness."
    
    n "But this isn't the nothingness of warped space..."
    
    nvl clear
    
    play music "god.ogg"
    
    n "What I'm staring into... Is the eyes of a God."
    
    n "'Look out!'"
    
    n "The Lieutenant frantically fiddles with the object while crying out to me."
    
    n "Taking a leap back, I barely dodge the impossibly huge limb that just tried to scoop me up."
    
    n "'It's no good...! Stall it for a while!'"
    
    n "Stall a God...? But, how...?"
    
    n "Reaching into my pocket, I search for a tool that could at least distract the huge opponent for a while."
    
    nvl clear
    
    n "The Type-21...!"
    
    n "Pulling it out, I aim the weapon at nothingness."
    
    n "It's the same weapon that the Lieutenant used against the warlock earlier. There's no way it'll be able to stop a God..."
    
    n "Even so, I aim for the nothingness. The eyes of God."
    
    n "And then, I tear the seal."
    
    n "A beam of golden light pierces through the inky black empty space. It goes straight into the right eye of nothingness."
    
    nvl clear
    
    n "There is no sound. If this is the God of nothing then perhaps it doesn't even have a voice."
    
    n "The arm as large as a building covers the wounded spot, but the other one viciously swings at me."
    
    n "All I can do is use the last tools I have... Pulling forth a Type-7, the tiny knife looking ridiculous compared to the arm of God, I thrust it towards the approaching limb."
    
    n "At this point, I'm not even in control of my own body anymore."
    
    n "So when I hop onto the tiny knife that I've just jammed into the arm, and from there onto the top of the colossal limb, I'm barely surprised."

    nvl clear
    
    n "But God isn't impressed. It violently shakes the arm, dislodging me. To a being like this, I must be no more than a pesky insect that refuses to be squashed."
    
    n "'%(p)s! Come over here!'"
    
    n "Without wasting any time, I run to the Lieutenant's side."
    
    n "The Type-7 bursts into flame, keeping the God busy as it tries to remove the annoyance."
    
    n "'Is it ready?'"
    
    n "Now completely exposed, the huge weapon is pointed straight at the God. It looks like a huge cannon, standing on it's own insectoid legs."
    
    nvl clear
    
    n "'Can this stop it?'"
    
    n "'Not yet... There's something this device needs to work.'"
    
    n "Then she points at me."
    
    n "'And only you can supply it.'"
    
    n "Before I can ask what it is, the Lieutenant takes hold of me and pins me to the ground."
    
    n "'What are you doing?!'"
    
    n "'Forgive me.'"
    
    nvl clear
    
    n "She pulls a knife from her robe, not a tool, just a regular knife. And before I can stop her, she cuts a large gash across my arm."
    
    n "'Arggh!'"
    
    n "Ignoring my screams of protest, she drags me to my feet and hold my wounded arm over the weapon."
    
    n "I watch, suffering, as my lifeblood flows out of my limb and into an opening in the top of the tool."
    
    n "'Alright, just a little more...'"
    
    n "The lieutenant is watching calmly, I'm starting to feel faint..."
    
    nvl clear
    
    n "'Okay, good!'"
    
    n "She releases me, I drop to the ground, cradling my arm."
    
    n "'This is it! The only time the Type-0 has been used!'"
    
    n "Shouting this, the Lieutenant rips a huge seal from the barrel of the Type-0."
    
    n "Recovered, the God is reaching out with it's insanely large arms to crush us both."
    
    n "But..."
    
    nvl clear
    
    stop music fadeout 3.0
    
    n "The Type-0 fires."
    
    n "And as the incredibly large golden blast of energy strikes the God, everything returns to nothingness once more..."
    
    nvl clear
    
    n "........."
    
    n "......"
    
    n "..."
    
    nvl clear
    
    scene BG4 with dissolve
    
    n "And then..."
    
    n "We were back in the underground shrine... As if nothing had happened..."
    
    n "'Private %(p)s?'"
    
    n "Slowly, I get up from where I've been lying... For how long, I don't know..."
    
    n "'I'm alright...'"
    
    n "'That's good.'"
    
    n "I notice instantly that all of the blood covering the Lieutenant has disappeared..."
    
    n "Her radiant smile now finally fits her appearance."
    
    nvl clear
    
    n "'It's over?'"
    
    n "'Hmm... In a way...'"
    
    n "I'm confused by her words... The new God is gone, right?"
    
    n "'Here, take a look at this...'"
    
    n "She points me towards the centre of the room... And when I look there..."
    
    n "'Ah!'"
    
    n "There's a little girl... Just lying in the centre of the room, fast asleep..."
    
    nvl clear
    
    n "'Who's that?! What's a child doing here?!'"
    
    n "Before the Lieutenant can reply, I go to gather the child up in my arms."
    
    n "'Um... Private %(p)s? That girl is...'"
    
    n "She sighs before continuing."
    
    n "'That girl is the God...'"
    
    n "I give her a blank stare, the child in my arms."
    
    n "'What?'"
    
    nvl clear
    
    n "'The Type-0... It's a weapon that forces a blood contract.'"
    
    n "I look down at the girl in my arms, she's still asleep."
    
    n "'What are you saying...?'"
    
    n "'What I'm saying, is that girl is your familiar.'"
    
    n "It takes a moment for it to register..."
    
    n "'Ehhh?!'"
    
    n "I almost drop her in surprise."
    
    nvl clear
    
    n "'Oh, and another thing...'"
    
    n "The Lieutenant points towards the door."
    
    n "'I think the rest of that warlock's familiars have figured out what we've done. They're headed here right now to kill us before their blood contracts wear off completely...'"
    
    n "She speaks in a calm tone, as usual. As if it were happening to someone else."
    
    n "'...'"
    
    n "I don't know what to say... Except..."
    
    play music "escape.ogg"
    
    n "'Why didn't you say so earlier?!'"
    
    nvl clear
    
    scene blank with dissolve
    
    n "We dash for the stairs, there's no time to be careful. If we get trapped down here in the shrine then we might as well finish ourselves off."
    
    n "It's especially hard for me because I'm carrying the little girl, no, God, whatever!"
    
    n "Thankfully we reach the top of the stairs before the familiars. The Lieutenant closes the passage behind us."
    
    scene BG3 with dissolve
    
    n "'Are they almost here?', I ask frantically."
    
    n "'I think so... We may have to fight...'"
    
    n "But we've got barely any tools left...!"
    
    n "We both begin to run again. If we get overwhelmed then, no matter how weak the familiars are now, we're finished."
    
    nvl clear
    scene blank with dissolve
    
    n "We pass a few familiars as we sprint, but they seem to have grown sluggish and we outrun them easily."
    
    scene BG2 with dissolve
    
    n "We're getting close to the entrance now."
    
    n "Perhaps we'll make it out of this without any fighting...!"
    
    n "But..."
    
    n "Guarding the door are four of the half-dog, half-men. The result of making a blood contract with a wild dog."
    
    n "'Go ahead, Private. I'll take care of these.', the Lieutenant steps forward."
    
    n "'But...'"
    
    n "After coming this far together... I don't want her to fail here, right at the end!"
    
    nvl clear
    
    n "'Don't worry, I haven't got the Type-0 weighing me down anymore.'"
    
    n "And as if to demonstrate her point, she throws a whip-like punch at a familiar that made the bad mistake of charging her."
    
    n "It goes flying into a corner of the room, yelping."
    
    n "'See? Now get going, I'll be right behind you.'"
    
    n "Nodding, I head for the door."
    
    n "Before either of the familiars can take a bite at me, the Lieutenant pounds them both with an acrobatic kick."
    
    n "Without looking back, I flee the cathedral."
    
    nvl clear
    
    scene blank with dissolve
    play sound "splat.wav"
    
    n "The sound of battle rages behind me, but I keep my head down and carry the little girl out of there."
    
    play sound "squeeze.wav"
    
    n "Thankfully, the doors open easily enough when I push them."
    
    play sound "creak.wav"
    
    scene BG1 with dissolve
    
    n "Finally... We're out of that place..."
    
    stop music fadeout 3.0
    
    n "The little girl stirs in my arms, I slowly lower her to the floor."
    
    n "How will she react...? This God, that's been reduced to a mere human child?"
    
    nvl clear
    
    n "'...'"
    
    n "'Hello?'"
    
    n "The girl looks at her new body."
    
    n "'Interesting... Yes, this is interesting...'"
    
    n "'Huh...?'"
    
    n "Without a hint of emotion, the child continues to speak."
    
    n "'Long has it been since last I came to this world. I grow weary of the emptiness, and so I am most pleased to find something interesting happening at last.'"
    
    n "'I... I see...'"
    
    n "Well it certainly doesn't talk like a little girl..."
    
    nvl clear
    
    n "'Private %(p)s, run!'"
    
    play music "escape.ogg"
    
    n "Before we can talk further, the Lieutenant comes bursting out of the mansion, familiars hot on her heels."
    
    n "'Oh, crap!'"
    
    n "Taking hold of the little God's hand, I turn and follow the Lieutenant away from the cathedral."
    
    n "Without a master, the familiars will die off soon enough. But until then, we better get far away from this place!"
    
    nvl clear
    
    scene blank with dissolve
    
    n "As we run, I look down at the child running alongside me. She's simply following along without any complaints or demands for an explanation."
    
    n "Her hand is warm, just like a real human's..."
    
    n "What's going to happen from here on...?"
    
    stop music fadeout 3.0
    
    n "........."
    
    n "......"
    
    n "..."
    
    "GOOD END: The Little God"
    